C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	SUBROUTINE DRAW(IOF,AINTER,AFIT,IT,IC)
C*****DRAWS CURVE 1 OR 2 AGAINST AX
	IMPLICIT INTEGER*2(D-Z)
	IMPLICIT LOGICAL*1(A)
	COMMON//SAVDES(256),CURVE1(512),CURVE2(512)
	COMMON/SCREEN/AX(512),CYSCAL,CXSCAL,K,MM,CMA
	COMMON/WINDOW/FST,LST
	COMMON/FITBND/UP,LW
	K1=2
	K2=K
	IF(.NOT.AFIT)GOTO 10
	K1=LW-FST+2
	K2=UP-FST+1
10	AX0=AX(K1-1)
	CY=CURVE1(FST+IOF+K1-2)
	IF(CY.LT.0)CY=0
	IF(CY.GT.CMA)CY=CMA
	AY0=INT(CY*CYSCAL)+1
	DO 120 I=K1,K2
	CY=CURVE1(FST+I-1+IOF)
	IF(CY.GT.CMA)CY=CMA
	IF(CY.LT.0)CY=0
	AY=INT(CY*CYSCAL)+1
	CALL INTERP(AINTER,AX0,AX(I),AY0,AY,IT,IC)
	AX0=AX(I)
120	AY0=AY
	CALL PLOTB(AX0,AY0,1,IT,IC)
C*****DRAW SPOT
	II=134-IT*10
	DO 130 I=II,II+3
	IX=I
	DO 130 J=125,127
	JX=J
130	CALL PLOTB(JX,IX,1,IT,IC)
	IT=IT+1
	IF(IT.GT.13)IT=1
	RETURN
	END

